Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.tags
Class GetPropertyTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.beasys.commerce.ebusiness.catalog.tags.GetPropertyTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

public class GetPropertyTag
extends TagSupport

See Also:
  Serialized Form

Field Summary
`Object` | `getterArgument` The optional argument used for certain getters
`String` | `id` The name of the page context attribute to store the property
`Object` | `object` The object from which the property will be retrieved
`String` | `propertyName` The name of the property to return a value for
`String` | `returnType` The return type of the retrieved property

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GetPropertyTag()`

Method Summary
`int` | `doStartTag()` Called when the tag starts.
`Object` | `getGetterArgument()` Get the value of getterArgument.
`String` | `getId()` Get the value of id.
`Object` | `getObject()` Get the value of object.
`String` | `getPropertyName()` Get the value of propertyName.
`String` | `getReturnType()` Get the value of returnType.
`void` | `release()` Release.
`void` | `setGetterArgument(Object newGetterArgument)` Set the value of getterArgument.
`void` | `setId(String newId)` Set the value of id.
`void` | `setObject(Object o)` Set the value of object.
`void` | `setPropertyName(String name)` Set the value of propertyName.
`void` | `setReturnType(String newReturnType)` Set the value of returnType.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyName

    public String propertyName

  The name of the property to return a value for

### object

    public Object object

  The object from which the property will be retrieved

### id

    public String id

  The name of the page context attribute to store the property

### returnType

    public String returnType

  The return type of the retrieved property

### getterArgument

    public Object getterArgument

  The optional argument used for certain getters

Constructor Detail

### GetPropertyTag

    public GetPropertyTag()

Method Detail

### setPropertyName

    public void setPropertyName(String name)

  Set the value of propertyName.

  Parameters:
    `name` - Value to assign to propertyName.

### getPropertyName

    public String getPropertyName()

  Get the value of propertyName.

  Returns:
    Value of propertyName.

### setObject

    public void setObject(Object o)

  Set the value of object.

  Parameters:
    `o` - Object to assign to object.

### getObject

    public Object getObject()

  Get the value of object.

  Returns:
    Value of object.

### setId

    public void setId(String newId)

  Set the value of id.

  Overrides:
    `setId` in class `TagSupport`
  Parameters:
    `newId` - Value to assign to id.

### getId

    public String getId()

  Get the value of id.

  Overrides:
    `getId` in class `TagSupport`
  Returns:
    Value of id.

### setReturnType

    public void setReturnType(String newReturnType)

  Set the value of returnType.

  Parameters:
    `newReturnType` - Value to assign to returnType.

### getReturnType

    public String getReturnType()

  Get the value of returnType.

  Returns:
    Value of returnType.

### setGetterArgument

    public void setGetterArgument(Object newGetterArgument)

  Set the value of getterArgument.

  Parameters:
    `newGetterArgument` - Value to assign to getterArgument.

### getGetterArgument

    public Object getGetterArgument()

  Get the value of getterArgument.

  Returns:
    Value of getterArgument.

### doStartTag

    public int doStartTag()
                   throws JspException

  Called when the tag starts.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
    `JspException`

### release

    public void release()

  Release.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved